#!/usr/bin/python

class HistoricalData:
	def __init__(self):
		f = open("btc.csv","r")
		self.rawdata = f.readlines()
		
	def data(self,date):
		currentdataset = self.rawdata[date+1].split(",")
		return (float(currentdataset[3])+float(currentdataset[2]))/2.0
	
	def delta(self,date):
		currentdataset = self.rawdata[date+1].split(",")
		currentdata = (float(currentdataset[3])+float(currentdataset[2]))/2.0
		previousdataset = self.rawdata[date].split(",")
		previousdata = (float(previousdataset[3])+float(previousdataset[2]))/2.0
		return currentdata - previousdata
	
	def bid(self,date,amountOfReals):
		currentdataset = self.rawdata[date+1].split(",")
		pricePerReal = 1.0 / float(currentdataset[2])
		amountOfBTC = amountOfReals * pricePerReal
		amountOfBTC *= 1.0-0.006
		return amountOfBTC
	
	def ask(self,date,amountOfBTC):
		currentdataset = self.rawdata[date+1].split(",")
		pricePerBTC = float(currentdataset[3])
		amountOfReals = amountOfBTC * pricePerBTC
		amountOfReals *= 1.0-0.006
		return amountOfReals
	
	def history(self,date):
		hist = []
		for i in range(10):
			hist.append( self.data(date+i) )
		return hist
	
	def deltahistory(self,date):
		hist = []
		for i in range(10):
			hist.append( self.delta(date+i) )
		return hist

	
if __name__ == "__main__":
	h = HistoricalData()
	print h.ask(0,0.1)
	print h.bid(0,5.0)